Bug 1963068 - ironic container should not specify the entrypoint
Summary: ironic container should not specify the entrypoint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.8.0
Assignee: Riccardo Pittau
QA Contact: Lubov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-21 11:01 UTC by Riccardo Pittau
Modified: 2021-07-27 23:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:09:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 160 0 None open Bug 1963068: Remove ironic entrypoint 2021-05-21 11:05:00 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:56 UTC

Description Riccardo Pittau 2021-05-21 11:01:47 UTC
To avoid conflicts and confusion with the entrypoint defined during provisioning, we need to remove the old predefined entrypoint in the ironic-image Dockerfile

Comment 2 Lubov 2021-05-25 11:36:30 UTC
Verified on 4.8.0-0.nightly-2021-05-25-013343

1. Verified that Dockerfile is changed, runironic script is deleted from git
2. Verified that ironic containers deployed with no problems

Comment 5 errata-xmlrpc 2021-07-27 23:09:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.